Package com.sun.mail.imap

# Class CopyUID

java.lang.Object
com.sun.mail.imap.CopyUID

public class CopyUID extends Object
Information from the COPYUID response code defined by the UIDPLUS extension - RFC 4315.

Author:
  Bill Shannon

## Field Summary

Fields
Modifier and Type
Field
Description
`UIDSet[]`
`dst`
`UIDSet[]`
`src`
`long`
`uidvalidity`

## Constructor Summary

Constructors
Constructor
Description
`CopyUID(long uidvalidity, UIDSet[] src, UIDSet[] dst)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uidvalidity

public long uidvalidity

### src

public UIDSet[] src

### dst

public UIDSet[] dst

## Constructor Details

### CopyUID

public CopyUID(long uidvalidity, UIDSet[] src, UIDSet[] dst)